# Problems

@Incubating
@ServiceScope(value = BuildTree::class)
interface Problems

Problems API service.

The main purpose of this API is to allow clients to create, configure, and report problems in a centralized way.

Reported problems are exposed via build operation progress events, which then are converted to Tooling API progress events.

Clients should expect that in future Gradle versions the reported problems will appear in console messages, reports, etc.

#### Since

8.6

## Functions

getReporter
Link copied to clipboard
abstract fun getReporter(): ProblemReporter
Return a problem reporter associated with a plugin.